
_main:

;LM35.mbas,55 :: 		main:
;LM35.mbas,56 :: 		ANSELB = 0                       ' Configure PORTB pins as digital
	CLRF        ANSELB+0 
;LM35.mbas,57 :: 		ANSELE = 0x02                    ' Configure RE1 pin as analog
	MOVLW       2
	MOVWF       ANSELE+0 
;LM35.mbas,58 :: 		TRISE1_bit = 1                   ' Configure RE1 pin as input
	BSF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;LM35.mbas,59 :: 		temp = vref
	MOVLW       0
	MOVWF       _temp+0 
	MOVLW       0
	MOVWF       _temp+1 
	MOVLW       64
	MOVWF       _temp+2 
	MOVLW       128
	MOVWF       _temp+3 
;LM35.mbas,60 :: 		ADC_Init()                       ' Initialize ADC
	CALL        _ADC_Init+0, 0
;LM35.mbas,62 :: 		Lcd_Init()                       ' Initialize LCD
	CALL        _Lcd_Init+0, 0
;LM35.mbas,63 :: 		Lcd_Cmd(_LCD_CLEAR)              ' Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;LM35.mbas,64 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)         ' Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;LM35.mbas,66 :: 		Lcd_Out(1, 1, "Temperature :")
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       84
	MOVWF       ?LocalText_main+0 
	MOVLW       101
	MOVWF       ?LocalText_main+1 
	MOVLW       109
	MOVWF       ?LocalText_main+2 
	MOVLW       112
	MOVWF       ?LocalText_main+3 
	MOVLW       101
	MOVWF       ?LocalText_main+4 
	MOVLW       114
	MOVWF       ?LocalText_main+5 
	MOVLW       97
	MOVWF       ?LocalText_main+6 
	MOVLW       116
	MOVWF       ?LocalText_main+7 
	MOVLW       117
	MOVWF       ?LocalText_main+8 
	MOVLW       114
	MOVWF       ?LocalText_main+9 
	MOVLW       101
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       58
	MOVWF       ?LocalText_main+12 
	CLRF        ?LocalText_main+13 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;LM35.mbas,67 :: 		Lcd_Chr(2,8,223)                 ' Different LCD displays have different
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       223
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;LM35.mbas,69 :: 		Lcd_Chr(2,9,"C")                 ' Display "C" for Celsius
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       67
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;LM35.mbas,71 :: 		temp_res = 0
	CLRF        _temp_res+0 
	CLRF        _temp_res+1 
;LM35.mbas,72 :: 		while TRUE
L__main2:
;LM35.mbas,73 :: 		temp_res = ADC_Get_Sample(6)       ' Get 10-bit results of AD conversion
	MOVLW       6
	MOVWF       FARG_ADC_Get_Sample_channel+0 
	CALL        _ADC_Get_Sample+0, 0
	MOVF        R0, 0 
	MOVWF       _temp_res+0 
	MOVF        R1, 0 
	MOVWF       _temp_res+1 
;LM35.mbas,74 :: 		temp = (temp_res * VREF)/10.240    ' Calculate temperature in Celsuis
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       3
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	CALL        _Longint2Double+0, 0
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _temp+0 
	MOVF        R1, 0 
	MOVWF       _temp+1 
	MOVF        R2, 0 
	MOVWF       _temp+2 
	MOVF        R3, 0 
	MOVWF       _temp+3 
;LM35.mbas,77 :: 		FloatToStr(temp, txt)              ' Convert temperature to string
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_input+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_input+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_input+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_output+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_output+1 
	CALL        _FloatToStr+0, 0
;LM35.mbas,78 :: 		txt[4] = 0
	CLRF        _txt+4 
;LM35.mbas,79 :: 		Lcd_Out(2,3,txt)                   ' Write string in second row
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       3
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _txt+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;LM35.mbas,80 :: 		Delay_ms(300)
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L__main6:
	DECFSZ      R13, 1, 1
	BRA         L__main6
	DECFSZ      R12, 1, 1
	BRA         L__main6
	DECFSZ      R11, 1, 1
	BRA         L__main6
	NOP
	NOP
;LM35.mbas,81 :: 		wend
	GOTO        L__main2
L_end_main:
	GOTO        $+0
; end of _main
